<?php
/**********************************************************************
***********************************************************************/
$page_security = 'SA_MANUFTRANSVIEW';
$path_to_root = "../..";

include_once($path_to_root . "/includes/session.inc");

include_once($path_to_root . "/includes/date_functions.inc");
include_once($path_to_root . "/includes/inventory.inc");
include_once($path_to_root . "/includes/data_checks.inc");

include_once($path_to_root . "/manufacturing/includes/manufacturing_db.inc");
include_once($path_to_root . "/manufacturing/includes/db/manufacturing_requirements_db.inc");
include_once($path_to_root . "/manufacturing/includes/manufacturing_ui.inc");
$js = "";
if ($SysPrefs->use_popup_windows)
	$js .= get_js_open_window(800, 500);
page(_($help_context = "View Manufacturing Request"), true, false, "", $js);

//-------------------------------------------------------------------------------------------------
$woid = 0;
if ($_GET['trans_no'] != "")
{
	$manuf_req_id = $_GET['trans_no'];
}
function display_row($name, $value)
{
    start_row();        
    label_cells($name, $value, "width=100px class='tableheader2'", "width=150px");
    end_row();
    
}
display_heading('Manufacturing Request' . " # " . $manuf_req_id);

br();


start_table(TABLESTYLE, "width=50%");



//display_heading('Manufacturing Requests');

$myrow = view_manuf_request($manuf_req_id);

display_row("Id",$myrow['id']);
display_row("Project",$myrow['project']);
display_row("Task",$myrow['task']);
display_row("Stock",$myrow['stock_item']);
display_row("Unit",$myrow['tran_unit']);
display_row("Qty",$myrow['tran_qty']);
display_row("Required Date",sql2date($myrow['req_date']));
end_row();

end_table(1);
//
//is_voided_display(ST_LOCTRANSFER, $trans_no, _("This transfer has been voided."));

end_page(true, false, false, ST_WORKORDER, $woid);

?>
